%define with_python 1
%{?_without_python: %{expand: %%global _with_python 0}}

Name: libopensync
Version: 0.22
Release: %mkrel 4
Summary: Multi-platform PIM synchronization framework
Source: %{name}-%{version}.tar.bz2
Patch: libopensync-python-lib-check-lib64.patch
URL: http://www.opensync.org/
License: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: bison 
BuildRequires: libxml2-devel 
BuildRequires: chrpath
BuildRequires: glib2-devel
BuildRequires: sqlite3-devel
BuildRequires: pkgconfig
BuildRequires: swig
BuildRequires: autoconf

%description
OpenSync is a synchronization framework that is platform and distribution
independent.  It consists of several plugins that can be used to connect to
devices, a powerful sync-engine and the framework itself.  The synchronization
framework is kept very flexible and is capable of synchronizing any type of
data, including contacts, calendar, tasks, notes and files.

#-------------------------------------------------------------

%define libname %mklibname opensync 0

%package -n %{libname}
Summary: Dynamic libraries from %name
Group: System/Libraries
Obsoletes: %{_lib}opensync

%description -n %{libname}
Dynamic libraries from %name.

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/opensync
%{_libdir}/osplugin
%{_libdir}/*.so.*

#-------------------------------------------------------------

%define develname %mklibname -d opensync

%package -n %{develname}
Summary: Header files and static libraries from %name
Group: Development/C
Requires: %{libname} = %{version}
Provides: opensync-devel
Obsoletes: %{libname}-devel
Provides: libopensync-devel = %version

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

#-------------------------------------------------------------

%if %{with_python}

%package -n	%name-python
Summary: Python bindings for %name
Group: Development/Python
Provides: opensync-python
%py_requires -d

%description -n %name-python
Python bindings for %name

%files -n %name-python
%defattr(-,root,root)
%{python_sitearch}/*

%endif

#-------------------------------------------------------------

%prep
%setup -q
%patch -p1


%build
autoreconf -if

%configure2_5x \
%if %{with_python}
    --enable-python \
%endif
    --disable-debug \
    --enable-engine \
    --enable-tools

%make pythondir=%{python_sitearch}
										
%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std pythondir=%{python_sitearch}

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Fri Aug 10 2007 Helio Chissini de Castro <helio@mandriva.com> 0.22-4mdv2008.0
+ Revision: 61017
- Missing correct provides

* Fri Aug 10 2007 Helio Chissini de Castro <helio@mandriva.com> 0.22-3mdv2008.0
+ Revision: 60963
- Remove package libopensync. Binaries are moved to libopensync0
- Enable build for engine and removed wrong chrpath
- Added proper provides in devel and remove wrong obsoletes and requires
- Added missing buildrequires and fixed pyhoen requires with proper macro

* Thu Aug 09 2007 Funda Wang <fundawang@mandriva.org> 0.22-2mdv2008.0
+ Revision: 60878
- highlight libmajor
- Revert to 0.22 due to unsatisfied plugins version
- New version 0.31

* Tue Apr 24 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2008.0
+ Revision: 17967
- new version


* Sun Nov 12 2006 Buchan Milne <bgmilne@mandriva.org> 0.20-1mdv2007.0
+ Revision: 83444
-update to 0.20
-fix python library search in configure on x86_64
-buildrequire swig, required for python binding
- Import libopensync

* Wed Sep 06 2006 Buchan Milne <bgmilne@mandriva.org> 0.18-6mdv2007.0
- fix python location on x86_64

* Tue Aug 29 2006 Buchan Milne <bgmilne@mandriva.org> 0.18-5mdv2007.0
- buildrequires

* Tue Aug 29 2006 Buchan Milne <bgmilne@mandriva.org> 0.18-4mdv2007.0
- rebuild

* Sat Dec 03 2005 Austin Acton <austin@mandriva.org> 0.18-3mdk
- lib64 fix

* Tue Nov 29 2005 Austin Acton <austin@mandriva.org> 0.18-2mdk
- fix provides

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.18-1mdk
- initial package

